Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_WIN32_Asynch_Connect_Result Class Reference

This is that class which will be passed back to the completion handler when the asynchronous connect completes. More...

`#include <WIN32_Asynch_IO.h>`

Inheritance diagram for ACE_WIN32_Asynch_Connect_Result:

[legend]
Collaboration diagram for ACE_WIN32_Asynch_Connect_Result:

[legend]
List of all members.

## Public Methods
ACE_HANDLE | connect_handle (void) const
| I/O handle for the connection. More...
u_long | bytes_transferred (void) const
| Number of bytes transferred by the operation. More...
const void * | act (void) const
| ACT associated with the operation. More...
int | success (void) const
| Did the operation succeed? More...
const void * | completion_key (void) const
| Returns the ACT associated with the handle when it was registered with the I/O completion port. More...
u_long | error (void) const
| Error value if the operation fail. More...
ACE_HANDLE | event (void) const
| Event associated with the OVERLAPPED structure. More...
u_long | offset (void) const
| This really make sense only when doing file I/O. More...
u_long | offset_high (void) const
| Offset_high associated with the OVERLAPPED structure. More...
int | priority (void) const
| The priority of the asynchronous operation. Currently, this is not supported on Win32. More...
int | signal_number (void) const
| No-op. Returns 0. More...
int | post_completion (ACE_Proactor_Impl *proactor)
| Post this object to the Proactor's completion port. More...
## Protected Methods
| ACE_WIN32_Asynch_Connect_Result (ACE_Handler &handler, ACE_HANDLE connect_handle, const void *act, ACE_HANDLE event, int priority, int signal_number)
| Constructor is protected since creation is limited to ACE_Asynch_Connect factory. More...
virtual void | complete (u_long bytes_transferred, int success, const void *completion_key, u_long error)
| ACE_Proactor will call this method when the accept completes. More...
virtual | ~ACE_WIN32_Asynch_Connect_Result (void)
| Destructor. More...
void | connect_handle (ACE_HANDLE handle)
| Set the I/O handle for the new connection. More...
## Protected Attributes
ACE_HANDLE | connect_handle_
## Friends
class | ACE_WIN32_Asynch_Connect
| Factory classes will have special permissions. More...
class | ACE_WIN32_Proactor
| The Proactor constructs the Result class for faking results. More...

## Detailed Description

This is that class which will be passed back to the completion handler when the asynchronous connect completes.

This class has all the information necessary for the completion handler to uniquiely identify the completion of the asynchronous connect.

## Constructor & Destructor Documentation

ACE_WIN32_Asynch_Connect_Result::ACE_WIN32_Asynch_Connect_Result | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | connect_handle,
|  | const void * | act,
|  | ACE_HANDLE | event,
|  | int | priority,
|  | int | signal_number
| ) | `[protected]`

| Constructor is protected since creation is limited to ACE_Asynch_Connect factory.

ACE_WIN32_Asynch_Connect_Result::~ACE_WIN32_Asynch_Connect_Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

const void * ACE_WIN32_Asynch_Connect_Result::act | ( | void |  | ) | const`[virtual]`

| ACT associated with the operation. Reimplemented from ACE_WIN32_Asynch_Result.

u_long ACE_WIN32_Asynch_Connect_Result::bytes_transferred | ( | void |  | ) | const`[virtual]`

| Number of bytes transferred by the operation. Reimplemented from ACE_WIN32_Asynch_Result.

void ACE_WIN32_Asynch_Connect_Result::complete | ( | u_long | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error
| ) | `[protected, virtual]`

| ACE_Proactor will call this method when the accept completes. Reimplemented from ACE_Asynch_Result_Impl.

const void * ACE_WIN32_Asynch_Connect_Result::completion_key | ( | void |  | ) | const`[virtual]`

| Returns the ACT associated with the handle when it was registered with the I/O completion port. This ACT is not the same as the ACT associated with the asynchronous operation. Reimplemented from ACE_WIN32_Asynch_Result.

void ACE_WIN32_Asynch_Connect_Result::connect_handle | ( | ACE_HANDLE | handle | ) | `[protected]`

| Set the I/O handle for the new connection.

ACE_HANDLE ACE_WIN32_Asynch_Connect_Result::connect_handle | ( | void |  | ) | const`[virtual]`

| I/O handle for the connection. Reimplemented from ACE_Asynch_Connect_Result_Impl.

u_long ACE_WIN32_Asynch_Connect_Result::error | ( | void |  | ) | const`[virtual]`

| Error value if the operation fail. Reimplemented from ACE_WIN32_Asynch_Result.

ACE_HANDLE ACE_WIN32_Asynch_Connect_Result::event | ( | void |  | ) | const`[virtual]`

| Event associated with the OVERLAPPED structure. Reimplemented from ACE_WIN32_Asynch_Result.

u_long ACE_WIN32_Asynch_Connect_Result::offset | ( | void |  | ) | const`[virtual]`

| This really make sense only when doing file I/O. Reimplemented from ACE_WIN32_Asynch_Result.

u_long ACE_WIN32_Asynch_Connect_Result::offset_high | ( | void |  | ) | const`[virtual]`

| Offset_high associated with the OVERLAPPED structure. Reimplemented from ACE_WIN32_Asynch_Result.

int ACE_WIN32_Asynch_Connect_Result::post_completion | ( | ACE_Proactor_Impl * | proactor | ) | `[virtual]`

| Post this object to the Proactor's completion port. Reimplemented from ACE_WIN32_Asynch_Result.

int ACE_WIN32_Asynch_Connect_Result::priority | ( | void |  | ) | const`[virtual]`

| The priority of the asynchronous operation. Currently, this is not supported on Win32. Reimplemented from ACE_WIN32_Asynch_Result.

int ACE_WIN32_Asynch_Connect_Result::signal_number | ( | void |  | ) | const`[virtual]`

| No-op. Returns 0. Reimplemented from ACE_WIN32_Asynch_Result.

int ACE_WIN32_Asynch_Connect_Result::success | ( | void |  | ) | const`[virtual]`

| Did the operation succeed? Reimplemented from ACE_WIN32_Asynch_Result.

## Friends And Related Function Documentation

friend class ACE_WIN32_Asynch_Connect`[friend]`

| Factory classes will have special permissions.

friend class ACE_WIN32_Proactor`[friend]`

| The Proactor constructs the Result class for faking results. Reimplemented from ACE_WIN32_Asynch_Result.

## Member Data Documentation

ACE_HANDLE ACE_WIN32_Asynch_Connect_Result::connect_handle_`[protected]`

The documentation for this class was generated from the following files:

- WIN32_Asynch_IO.h
- WIN32_Asynch_IO.cpp